Calculate sales tax for one or more carts

Use this endpoint to view the tax amount and rate for a single cart or multiple carts. The cart represents a customer's shopping cart or other transaction that has not yet been completed. Each cart can be given a custom CartID to be referenced later. This endpoint supports UPSERT actions: * If the specified cartID doesn't exist, a new cart is created. * If the cartID already exists, the existing cart is updated. This overwrites the previous cart items.

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection

Request

This endpoint expects an object.
itemslist of objectsRequired
transactionDatestringOptionalformat: "date-time"

The RFC3339 datetime string the cart is calculated for (if no value is passed in now is assumed)

Response

OK
connectionIdstring>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection
itemslist of objects
transactionDatestringformat: "date-time"
The RFC3339 datetime string the cart is calculated for
$schemastringRead-onlyformat: "uri"
A URL to the JSON Schema for this object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error